// 医疗机构函数库
import apis from "../apis_moudles/index";
import req from "../request";

//医疗机构列表
const PROVIDERDETAIL = () => {
  return req.post(apis.providerDetail);
};

//医生列表
const DOCTORLIST = (data) => {
  return req.post(apis.doctorList, data);
};

//删除医生
const DOCTORDELETE = (data) => {
  return req.post(apis.doctorDelete, data);
};

//新增医生
const DOCTORCREATE = (data) => {
  return req.post(apis.doctorCreate, data);
};

//修改医生
const DOCTORUPDATE = (data) => {
  return req.post(apis.doctorUpdate, data);
};


/*-------------保险公司-----------------*/
//保险公司列表
const PAYORLIST = (data) => {
  return req.post(apis.payorList, data);
};

//新增保险公司
const CREATEPAY = (data) => {
  return req.post(apis.createPayor, data);
};

//保险公司详情
const PAYORDETAIL = (data) => {
  return req.post(apis.payorDetail, data);
};

//保险公司修改
const PAYORUPDATE = (data) => {
  return req.post(apis.payorUpdate, data);
};

//保险公司删除
const PAYORDELETE = (data) => {
  return req.post(apis.payorDelete, data);
};

/*-------------折扣信息-----------------*/
//新增折扣信息
const PAYORADDDISCOUNT = (data) => {
  return req.post(apis.payorAddDiscount, data);
};
//编辑折扣信息
const PAYORADDDISCOUNTBENEFIT = (data) => {
  return req.post(apis.payorAddDiscountBenefit, data);
};
//删除折扣信息
const PAYORDISCOUNTDELETE = (data) => {
  return req.post(apis.payorDiscountDelete, data);
};

// 对象数组
export default {
  PROVIDERDETAIL,
  DOCTORLIST,
  DOCTORDELETE,
  DOCTORCREATE,
  DOCTORUPDATE,
  PAYORLIST,
  CREATEPAY,
  PAYORDETAIL,
  PAYORUPDATE,
  PAYORDELETE,
  PAYORADDDISCOUNT,
  PAYORADDDISCOUNTBENEFIT,
  PAYORDISCOUNTDELETE
};
